#ifndef __WG12864B_H
#define __WG12864B_H

#ifdef __cplusplus
 extern "C" {
#endif 



void Write_Command(unsigned int Data);
void Write_Data(unsigned int Data);
void Read_Data (unsigned int Data);
void Busy_wait (void);
void Convert_Symbol(unsigned char nChar);
void Font_6x8(char nChar_A,char nChar_B, unsigned char adres_Chat_X, unsigned char adres_Chat_Y );
void DrawString (unsigned int kol, unsigned char adres_Str_X, unsigned char adres_Str_Y, unsigned char *string);
void Screen_test_fill (void);
void Screen_test_blow (void);
void ShowQQChar(char addr,char *english,char count);
void WRCGRAM(char data1,char data2,char addr);
void ShowCGChar(char addr,char i);
void ShowNUMChar(char addr,char i,char count);
void CLEARGDRAM(void);
void WRGDRAM(char Y1, char clong, char hight, char *TAB1);
void LCD_Init(void);

void Speed_indicate_screen_1(unsigned int speed);
void Clock_indicate_screen_1(unsigned char time);
void ODONOMETR_current_indicate_screen_1(unsigned char road_length);
void Battery_capacity_indicate_screen_1(unsigned int capacity);

void Air_temperature_indicate_screen_2(unsigned int air_temp);
void Motor_temperature_indicate_screen_2(unsigned int motor_temp);
void Battery_temperature_indicate_screen_2(unsigned int bat_temp);
void Voltage_battery_indicate_screen_2(unsigned int volt_bat);
void Current_battery_indicate_screen_2(unsigned int cur_bat);
void Battery_capacity_indicate_screen_1(unsigned int capacity);

#ifdef __cplusplus
}
#endif
#endif

